<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="css/navbar.css">
    <link rel="stylesheet" href="css/cards.css">
    <link rel="stylesheet" href="css/styles.css">
    <link rel="stylesheet" href="css/plants.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <title>Rooty Landing</title>
</head>
<body>

<!-- ------------------------------------------------------NavBar----------------------------------------------------------------------------------- -->
<nav id = "navbar" class="navbar navbar-expand-lg navbar-light bg-light sticky-top">
  <a class="navbar-brand" href="index.html">
    <img src="images/rootyLogoSmall.png" width="80" height="40" alt="" id = "logo">
  </a>
  <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" href="plants.html">Plants</a>
      </li>
    </ul>
  </div>

  <div class="collapse navbar-collapse" id="navbarNavDropdown">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
    </button>
    <ul class="navbar-nav ml-auto">
      <a class="navbar-brand" href="profile.html">
        <img src="images/noProfile.png" width="40" height="40" alt="profile" id = "profile-pic">
      </a>
      <div hidden class="dropdown" id="dropdownmenu">
        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="dropdownMenuButton" id="nav-username" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        </button>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
          <button class="dropdown-item" onclick="logoutUser()">Logout</a>
        </div>
      </div>
      <li class="nav-item dropdown" id="login-dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Login/Register
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
            <form class="form-signin dropdown-item" id="login-form" id="test">
              <h5>Please sign in</h5>
              <label for="inputUsername" class="sr-only">Username</label>
              <input type="text" id="inputUsername" name="username" class="form-control" placeholder="Username" required="" autofocus="">
              <label for="inputPassword" class="sr-only">Password</label>
              <input type="password" id="inputPassword" name="password" class="form-control" placeholder="Password" required="">
              <div id="error-msg" hidden></div>
              <div class="checkbox mb-3">
                <label>
                <input type="checkbox" value="remember-me"> Remember me
                </label>
            </div>
            <button class="btn btn-sm btn-primary btn-block" id="nav-button"  type="submit" onclick="attemptLogin()">Sign in</button>
            <button class="btn btn-sm btn-primary btn-block" id="nav-button"  type="submit" onclick="attemptRegister()">Register</button>
              </form>
        </div>

    </ul>
  </div>
</nav>
<!-- ------------------------------------------------------NavBar----------------------------------------------------------------------------------- -->
<h1 class="text-center" id="not-found" style="padding-top:15%;color:rgb(147, 204, 14);">Theres nothing here :( Try logging in or signing up!</h1>
<div class="container" id="div-background" hidden>
  <h1 class="text-center" id="table-title">My Plants</h1>

  
      <!--Section: Best Features-->
      <section id="plant-items" class="text-center">

        <!-- Heading -->
        <table id="plants-table" class="table" >
          <thead>
            <tr>
              <th scope="col">Plant Name</th>
              <th scope="col">Soil Used</th>
              <th scope="col">Fertilizer Ratio</th>
              <th scope="col">Days between watering</th>
              <th scope="col">Weeks between feeding</th>
              <th scope="col">User Caption</th>
              <th scope="col">Leaf Vote</th>
              <th scope="col">PlantID</th>
            </tr>
          </thead>
          <tbody id="plants-table-body" contenteditable="true">
          </tbody>
        </table>
      </section>
      <div id="create-button-div">
        <button contenteditable="false" class="btn btn-lg btn-primary btn-block" id="create-button"  onclick="createButtonClicked(this)">Add New Plant</button>
      </div>
  </div>
</body>
<script> if(sessionStorage.getItem("token")){document.getElementById("div-background").hidden=false; document.getElementById("not-found").hidden=true}</script>
<script src="./javascript/plants-request-user.js"></script>
<script src="./javascript/server-requests.js"></script>
<script src="./javascript/login.js"></script>
</html>